Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dao
Interface ProcessManagementDAO

All Known Implementing Classes:
  ProcessManagementDaoImpl, ProcessManagementDaoImpl, ProcessManagementDAOImpl

    public interface ProcessManagementDAO

This DAO handles any process and instance management related database operations. The idea is to separate out the operational side of database tasks from core engine.

Method Summary
`java.lang.Object[]` | `findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn, java.lang.String status, java.lang.String processId)` Finds process instances that have failures on a given process id, and, returns the number of failed instances and the last failed date in an object array.
`void` | `prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)` Prefetches the counts of activity failures for the given instances and sets the values to the _activityFailureCount member variable of the ProcesInstanceDAOImpl.

Method Detail

### findFailedCountAndLastFailedDateForProcessId

    java.lang.Object[] findFailedCountAndLastFailedDateForProcessId(BpelDAOConnection conn,
                                                                    java.lang.String status,
                                                                    java.lang.String processId)

  Finds process instances that have failures on a given process id, and, returns the number of failed instances and the last failed date in an object array.

  Parameters:
    `conn` - BpelDAOConnection
    `status` - the status string, e.g. "active"
    `processId` - the string representation of the QName of the process
  Returns:
    an array containing the number of failed instances and the last failed date

### prefetchActivityFailureCounts

    void prefetchActivityFailureCounts(java.util.Collection<ProcessInstanceDAO> instances)

  Prefetches the counts of activity failures for the given instances and sets the values to the _activityFailureCount member variable of the ProcesInstanceDAOImpl.

  Parameters:
    `instances` - a collection of process instances

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD